OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Private Member Functions | Static Private Member Functions | Private Attributes
ThreadObject_Win32 Class Reference

Win32 thread version for ThreadObject. More...

Inheritance diagram for ThreadObject_Win32:

## Public Member Functions
| ThreadObject_Win32 (OTTDThreadFunc proc, void *param, bool self_destruct)
| Create a win32 thread and start it, calling proc(param).
bool | Exit ()
| Exit this thread.
void | Join ()
| Join this thread.
Public Member Functions inherited from ThreadObject
virtual | ~ThreadObject ()
| Virtual destructor to allow 'delete' operator to work properly.

## Private Member Functions
void | ThreadProc ()
| A new thread is created, and this function is called.

## Static Private Member Functions
static uint CALLBACK | stThreadProc (void *thr)
| On thread creation, this function is called, which calls the real startup function.

## Private Attributes
HANDLE | thread
| System thread identifier.
uint | id
| Thread identifier.
OTTDThreadFunc | proc
| External thread procedure.
void * | param
| Parameter for the external thread procedure.
bool | self_destruct
| Free ourselves when done?

## Additional Inherited Members
Static Public Member Functions inherited from ThreadObject
static bool | New (OTTDThreadFunc proc, void *param, ThreadObject **thread=NULL)
| Create a thread; proc will be called as first function inside the thread, with optional params.

## Detailed Description

Win32 thread version for ThreadObject.

Definition at line 25 of file thread_win32.cpp.

## Member Function Documentation

static uint CALLBACK ThreadObject_Win32::stThreadProc | ( | void * | thr | ) |
| inline static private

On thread creation, this function is called, which calls the real startup function.

This to get back into the correct instance again.

Definition at line 76 of file thread_win32.cpp.

Referenced by ThreadObject_Win32().

void ThreadObject_Win32::ThreadProc | ( |  | ) |
| inline private

A new thread is created, and this function is called.

Call the custom function of the creator of the thread.

Definition at line 86 of file thread_win32.cpp.

References param, proc, and self_destruct.

The documentation for this class was generated from the following file:

- src/thread/thread_win32.cpp